Subject: Re: [parted-devel] [PATCH RESEND] GPT: add support for PReP GUID

From: Phillip Susi <[email-masked]>
Date: Mon, 07 Oct 2013 10:29:54 -0400

On 10/7/2013 2:21 AM, Avik Sil wrote:
> From: Daniel Battaiola Kreling <[email-masked]>
> 
> PReP (PowerPC Reference Platform) boot partition is the first
> partition used in PowerPC platform for containing the bootable
> kernel or bootloader. The firmware searches for this partition and
> jumps to it for booting. So far no GUID was specified for this
> partition type and hence booting from GPT disk was not supported on
> this platform. A new GUID 9e1a2d38-c612-4316-aa26-8b49521e5a8b for 
> PReP partition is proposed to be included in GPT.

Doesn't this old platform only understand the apple partition map, and
not gpt?  Picking a guid out of the air isn't going to teach the
firmware to look for it.